## org.eclipse.datatools.enablement.sybase.parser
Class QuickSQLParser

    java.lang.Object
      org.eclipse.datatools.enablement.sybase.parser.AbstractQuickSQLParser
          org.eclipse.datatools.enablement.sybase.parser.QuickSQLParser

All Implemented Interfaces:
  QuickSQLParserConstants, QuickSQLParserTreeConstants

    public class QuickSQLParser

extends AbstractQuickSQLParser
implements QuickSQLParserTreeConstants, QuickSQLParserConstants

Field Summary
`Token` `jj_nt`
`boolean` `lookingAhead`
`static java.lang.String[]` `STMT_START_STRING`
`Token` `token`
`QuickSQLParserTokenManager` `token_source`

Fields inherited from class org.eclipse.datatools.enablement.sybase.parser.AbstractQuickSQLParser
`CREATE_EVENT_HEADER_PATTERN, CREATE_FUNC_HEADER_PATTERN, CREATE_PROC_HEADER_PATTERN, CREATE_TRIGGER_HEADER_PATTERN`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.parser.QuickSQLParserTreeConstants

`JJTANY_CHARS, JJTANY_STMT_TOKEN, JJTCONSTANT, JJTCREATE_EVENT_HEADER, JJTCREATE_FUNC_HEADER, JJTCREATE_PROC_HEADER, JJTCREATE_TRIGGER_HEADER, JJTDATATYPE, JJTDATATYPE_INFO, JJTDYN_QUESTION_MARK, JJTERROR_SKIPTOBEFORE, JJTERROR_SKIPTOBEFORE1, JJTID, JJTID_OR_STRING, JJTID_STRING, JJTIDPLUS, JJTLENGTH_SPEC, JJTLITERAL, jjtNodeName, JJTNULL_STMT, JJTNUMBER, JJTOBJECT, JJTOPTIONAL_PARAM_DEFAULT, JJTOUT_OPTION, JJTPARAM_OPTIONS, JJTPARAMETER, JJTPARAMETERS, JJTPREFIX, JJTPREFIX_LIST, JJTPROCPARMDEFAULT, JJTROUTINE_PARAMETERS, JJTSIGNED_CONST, JJTSTRING, JJTSTRING_LITERAL, JJTUNSIGNED_CONST, JJTVARIABLE`

Fields inherited from interface org.eclipse.datatools.enablement.sybase.parser.QuickSQLParserConstants

`ADD, ALTER, AND, ANY, AS, ASC, ASTERISK, AT, AUTHORIZATION, AVG, BEGIN, BETWEEN, BINARY_LITERAL, BREAK, BROWSE, BULK, BY, CASCADE, CASE, CHECK, CHECKPOINT, CLOSE, CLOSEDESCRIPTION, CLOSEPAREN, CLUSTERED, COALESCE, COMMA, COMMENT_CONTENT, COMMIT, COMPUTE, CONCAT, CONFIRM, CONNECT, CONSTRAINT, CONTINUE, CONTROLROW, CONVERT, COUNT, CREATE, CURRENT, CURSOR, DATABASE, DBCC, DEALLOCATE, DECLARE, DEFAULT, DEFAULT_VAL, DELETE, DESC, DESCRIPTION, DESCRIPTION_START_STATE, DESCRIPTION_STATE, DETERMINISTIC, DIGIT, DISK, DISTINCT, DOT, DOUBLE_STRING_LITERAL, DROP, DUMMY, DUMP, ELSE, END, ENDTRAN, EOF, EQUAL, ESCAPE, EVENT, EXCEPT, EXCLUSIVE, EXEC, EXECUTE, EXISTS, EXIT, EXPONENT, EXTERNAL, FETCH, FILLFACTOR, FLOATING_POINT_LITERAL, FOR, FOREIGN, FROM, FUNC, FUNCTION, GLOBAL_VAR_NAME, GO, GOTO, GRANT, GREATER, GREATEREQUAL, GROUP, HAVING, HEXDIGIT, HOLDLOCK, ID, IDENTITY, IF, IGNORE_STATE, IN, IN_MULTI_LINE_COMMENT, IN_SINGLE_LINE_COMMENT, INDEX, INOUT, INSERT, INSTALL, INTEGER_LITERAL, INTERSECT, INTO, INVALID_TOKEN, IS, ISOLATION, JAR, JAVA_REF, JOIN, JOINPLUS, KEY, KILL, LABEL, LEQJOIN, LESS, LESSEQUAL, LETTER, LEVEL, LIKE, LOAD, LOCK, MAX, MIN, MINUS, MODIFY, MONEY_LITERAL, NOHOLDLOCK, NONCLUSTERED, NOT, NOTEQUAL, NULL, NULLIF, OF, OFF, OFFSETS, ON, ONCE, ONLINE, ONLY, OPEN, OPENDESCRIPTION, OPENPAREN, OPTION, OR, ORDER, OUT, OUTPUT, OVER, PARTITION, PERM, PERMANENT, PLAN, PLUS, PREPARE, PRIMARY, PRINT, PRIVILEGES, PROC, PROCEDURE, PROCESSEXIT, PROXY_TABLE, PUBLIC, QUESTIONMARK, QUIESCE, RAISERROR, READ, READPAST, READTEXT, RECONFIGURE, REFERENCES, REMOVE, REORG, REPLACE, REPLICATION, REQJOIN, RETURN, RETURNS, REVOKE, ROLE, ROLLBACK, ROWCOUNT, ROWS, ROWTYPE, RULE, SAVE, SCHEMA, SELECT, SEMICOLON, SET, SETUSER, SHARED, SHUTDOWN, SINGLE_LINE_COMMENT, SINGLE_STRING_LITERAL, SLASH, SOME, SQLCODE, SQLSTATE, SQUARE_BRACKET_ID, STATISTICS, STRINGSIZE, STRIPE, SUM, SYMBOL, TABLE, TEMP, TEMP_TABLE_NAME, TEMPORARY, TEXTSIZE, TILDE, TO, tokenImage, TRAN, TRANSACTION, TRIGGER, TRUNCATE, UNION, UNIQUE, UNPARTITION, UPDATE, USE, USER, USING, VALUES, VAR_NAME, VAR_NAME_BODY, VIEW, WAITFOR, WHEN, WHERE, WHILE, WITH, WORK, WRITETEXT`

Constructor Summary
`QuickSQLParser()`
`QuickSQLParser(java.io.InputStream stream)`
`QuickSQLParser(QuickSQLParserTokenManager tm)`
`QuickSQLParser(java.io.Reader stream)`

Method Summary
`void` `any_chars()`
`void` `any_stmt_token()` ROOT SYNTAXS
`void` `constant()`
`void` `create_event_header()`
`void` `create_func_header()`
`void` `create_proc_header()`
`void` `create_trigger_header()`
`java.lang.String[]` `datatype_info()`
`java.lang.String` `datatype()`
`void` `disable_tracing()`
`Token` `dyn_question_mark()`
`void` `enable_tracing()`
`int[]` `find(java.lang.String input, java.lang.String[][] tokens)`
`ParseException` `generateParseException()`
`java.lang.String[]` `getDatatypeInfo(java.lang.String input)`
`java.lang.String` `getInput()`
`static QuickSQLParser` `getInstance()`
`Token` `getNextToken()`
`java.lang.String[][]` `getParameters(java.lang.String input)`
`java.lang.String[]` `getStatementTerminators()` Returns the statement terminator array.
`Token` `getToken(int index)`
`Token[]` `getTokens(java.lang.String input, java.lang.String[][] tokens)`
`Token` `id_or_string()`
`Token` `id_string()`
`Token` `id()`
`Token` `idplus()`
`java.lang.String` `length_spec()`
`java.lang.String` `literal()`
`boolean` `match(java.lang.String input, int pattern)` Matches the input string against the given pattern and returns the matching strings.
`Token` `null_stmt()`
`int` `number()`
`java.lang.String` `object()`
`java.lang.String` `optional_param_default()`
`void` `out_option()`
`int` `param_options()`
`java.lang.String[]` `parameter()`
`java.lang.String[][]` `parameters()`
`java.lang.String` `prefix_list()`
`java.lang.String` `prefix()`
`java.lang.String` `procparmdefault()`
`void` `ReInit(java.io.InputStream stream)`
`void` `ReInit(QuickSQLParserTokenManager tm)`
`void` `ReInit(java.io.Reader stream)`
`java.lang.String[][]` `routine_parameters()`
`Token` `signed_const()`
`Token` `string_literal()`
`void` `string()`
`Token` `unsigned_const()`
`Token` `variable()`

Methods inherited from class org.eclipse.datatools.enablement.sybase.parser.AbstractQuickSQLParser
`find, getEndIndex, getStartIndex`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STMT_START_STRING

    public static final java.lang.String[] STMT_START_STRING

### token_source

    public QuickSQLParserTokenManager token_source

### token

    public Token token

### jj_nt

    public Token jj_nt

### lookingAhead

    public boolean lookingAhead

Constructor Detail

### QuickSQLParser

    public QuickSQLParser()

### QuickSQLParser

    public QuickSQLParser(java.io.InputStream stream)

### QuickSQLParser

    public QuickSQLParser(java.io.Reader stream)

### QuickSQLParser

    public QuickSQLParser(QuickSQLParserTokenManager tm)

Method Detail

### getStatementTerminators

    public java.lang.String[] getStatementTerminators()

  Returns the statement terminator array. Different vendors will have their own terminators defined, so we just leave this method as abstract here.

  Returns:
    statement terminator array

### getInstance

    public static QuickSQLParser getInstance()

### getInput

    public java.lang.String getInput()

  Specified by:
    `getInput` in class `AbstractQuickSQLParser`

### match

    public boolean match(java.lang.String input,
                         int pattern)

  Description copied from class: `AbstractQuickSQLParser`
  Matches the input string against the given pattern and returns the matching strings.

  Specified by:
    `match` in class `AbstractQuickSQLParser`
  Parameters:
    `input` - string to be parsed
    `pattern` - pattern constant
  Returns:
    null or the matching strings

### find

    public int[] find(java.lang.String input,
                      java.lang.String[][] tokens)

  Specified by:
    `find` in class `AbstractQuickSQLParser`

### getTokens

    public Token[] getTokens(java.lang.String input,
                             java.lang.String[][] tokens)

  Specified by:
    `getTokens` in class `AbstractQuickSQLParser`

### getParameters

    public java.lang.String[][] getParameters(java.lang.String input)

  Specified by:
    `getParameters` in class `AbstractQuickSQLParser`

### getDatatypeInfo

    public java.lang.String[] getDatatypeInfo(java.lang.String input)

  Specified by:
    `getDatatypeInfo` in class `AbstractQuickSQLParser`

### string_literal

    public final Token string_literal()
                               throws ParseException

  Throws:
    `ParseException`

### any_stmt_token

    public final void any_stmt_token()
                              throws ParseException

  ROOT SYNTAXS

  Throws:
    `ParseException`

### id

    public final Token id()
                   throws ParseException

  Throws:
    `ParseException`

### string

    public final void string()
                      throws ParseException

  Throws:
    `ParseException`

### id_string

    public final Token id_string()
                          throws ParseException

  Throws:
    `ParseException`

### id_or_string

    public final Token id_or_string()
                             throws ParseException

  Throws:
    `ParseException`

### prefix

    public final java.lang.String prefix()
                                  throws ParseException

  Throws:
    `ParseException`

### prefix_list

    public final java.lang.String prefix_list()
                                       throws ParseException

  Throws:
    `ParseException`

### object

    public final java.lang.String object()
                                  throws ParseException

  Throws:
    `ParseException`

### idplus

    public final Token idplus()
                       throws ParseException

  Throws:
    `ParseException`

### variable

    public final Token variable()
                         throws ParseException

  Throws:
    `ParseException`

### dyn_question_mark

    public final Token dyn_question_mark()
                                  throws ParseException

  Throws:
    `ParseException`

### number

    public final int number()
                     throws ParseException

  Throws:
    `ParseException`

### constant

    public final void constant()
                        throws ParseException

  Throws:
    `ParseException`

### signed_const

    public final Token signed_const()
                             throws ParseException

  Throws:
    `ParseException`

### unsigned_const

    public final Token unsigned_const()
                               throws ParseException

  Throws:
    `ParseException`

### literal

    public final java.lang.String literal()
                                   throws ParseException

  Throws:
    `ParseException`

### null_stmt

    public final Token null_stmt()
                          throws ParseException

  Throws:
    `ParseException`

### length_spec

    public final java.lang.String length_spec()
                                       throws ParseException

  Throws:
    `ParseException`

### datatype

    public final java.lang.String datatype()
                                    throws ParseException

  Throws:
    `ParseException`

### datatype_info

    public final java.lang.String[] datatype_info()
                                           throws ParseException

  Throws:
    `ParseException`

### parameter

    public final java.lang.String[] parameter()
                                       throws ParseException

  Returns:
    name: defaultValue
  Throws:
    `ParseException`

### optional_param_default

    public final java.lang.String optional_param_default()
                                                  throws ParseException

  Throws:
    `ParseException`

### param_options

    public final int param_options()
                            throws ParseException

  Throws:
    `ParseException`

### out_option

    public final void out_option()
                          throws ParseException

  Throws:
    `ParseException`

### any_chars

    public final void any_chars()
                         throws ParseException

  Throws:
    `ParseException`

### create_proc_header

    public final void create_proc_header()
                                  throws ParseException

  Throws:
    `ParseException`

### create_func_header

    public final void create_func_header()
                                  throws ParseException

  Throws:
    `ParseException`

### create_trigger_header

    public final void create_trigger_header()
                                     throws ParseException

  Throws:
    `ParseException`

### create_event_header

    public final void create_event_header()
                                   throws ParseException

  Throws:
    `ParseException`

### parameters

    public final java.lang.String[][] parameters()
                                          throws ParseException

  Throws:
    `ParseException`

### routine_parameters

    public final java.lang.String[][] routine_parameters()
                                                  throws ParseException

  Throws:
    `ParseException`

### procparmdefault

    public final java.lang.String procparmdefault()
                                           throws ParseException

  Throws:
    `ParseException`

### ReInit

    public void ReInit(java.io.InputStream stream)

### ReInit

    public void ReInit(java.io.Reader stream)

### ReInit

    public void ReInit(QuickSQLParserTokenManager tm)

### getNextToken

    public final Token getNextToken()

### getToken

    public final Token getToken(int index)

### generateParseException

    public ParseException generateParseException()

### enable_tracing

    public final void enable_tracing()

### disable_tracing

    public final void disable_tracing()